• Article for your preferred language does not exist. Below is international version of the article.

Article ID: 113408, created on Mar 2, 2012, last review on Aug 12, 2014

  • Applies to:
  • Operations Automation 5.4

POA 5.4: Known Issues, Limitations, and General Notes

The article describes known issues and limitations of Parallels Operations Automation (POA) 5.4, as well as general notes about the release.

The "Install skin package" task sometimes fails

If other than “default” skin is selected for a brand, the “Install skin package” task is created. This task can fail if an IIS webserver is selected for branding. After being restarted, the task finishes successfully.

Control Panel may be broken after upgrading to POA 5.4

Provider and Customer Control Panel may appear inconsistent immediately after upgrading to POA 5.4:
  • CP icons may be missing
  • CP items may be aligned improperly

Clear the cache and cookies in the browser to solve the problem.

Branding on IIS webserver may not work

If a brand webspace is hosted on IIS webserver, the following error message may occur:

Server Error in '/.skin' Application.
This type of page is not served.
Description: The type of page you have requested is not served because it has been explicitly forbidden.

This means that ASP.NET is enabled on this website. To fix this disable ASP.NET on branding website.

After Open-Xchange Server upgrade to version 6.20, user cannot log in to Open-Xchange UI

After upgrading the Open-Xchange Server to version 6.20, it is impossible to log in to the Open-Xchange UI. See the http://kb.sp.parallels.com/en/113411 knowledge base article for more details and resolution instructions.

End of Life

The following products are not supported in POA 5.4:
  • DrWeb 4.x
  • BlackBerry Enterprise Server 4.x
  • Parallels Virtuozzo Containers 3.x
  • Secure64 DNS server

Upcoming End of Life in POA 5.5

  • "POP-before-SMTP authorization" will not be supported in the POA 5.5 Linux Mail Hosting module. It is recommended that you notify customers to configure "SMTP authorization" in their mail clients and disable "POP-before-SMTP authorization" on their POA installation.
  • Fedora Core 1, Fedora Core 3, and RHES 3 will not be supported in POA 5.5.
  • MySQL 4 will not be supported in POA 5.5.

Exchange 2010 SP2 Enterprise Mode support

Before upgrading to POA 5.4, existing Exchange Server 2010 Enterprise Mode installations must be upgraded to Exchange Server 2010 SP2. For detailed information about  Exchange Server 2010 SP2 support in POA 5.4, refer to this KB article: http://kb.sp.parallels.com/en/113278.

Parallels WPE pre-deployment

POA 5.4 requires a new host for a Parallels Windows Provisioning Engine (WPE) deployment if Exchange 2010 is installed.

Starting with POA 5.4, the Hosted Messaging and Collaboration (HMC) provisioning system is replaced with the Windows Provisioning Engine (WPE) provisioning system for Exchange Server 2010 (Enterprise Mode). The server(s) for the WPE provisioning system must be prepared before the POA upgrade. For detailed instructions on preparing the host for WPE deployment, refer to this KB article: http://kb.sp.parallels.com/en/113933.

During the POA 5.4 upgrade process, at the "pre-upgrade phase," the WindowsProvisioningEngine package's properties are requested. These properties must be prepared before the POA 5.4 upgrade.

SharePoint Foundation 2010

The oldest supported version of SharePoint Foundation 2010 is SharePoint Foundation 2010 SP1 (http://support.microsoft.com/kb/2460058) with the June 2011 Cumulative Update (http://support.microsoft.com/kb/2536601).

All SharePoint farms must be upgraded before upgrading POA; use instructions from Windows Shared Hosting Deployment Guide, chapter Deploying Windows SharePoint Hosting, section Installing Microsoft SharePoint Foundation 2010 > Installing SharePoint Foundation 2010 Updates.

Right-to-left locale

Right-to-left locale does not work in the default skin 3.0.

Supported browsers

Fully compatible browsers (Parallels recommends using these to get all of the newest Parallels Automation features) include the following:
  • Internet Explorer version 8 and above
  • Mozilla Firefox 8 and above on all platforms
  • Safari 5 and above for Mac
  • Chrome 16 and above on all platforms
If a customer uses Firefox 3.6 (still supported), the old skin v2.0 is always used instead of skin v3.0.

Lync client on Windows XP has problems with sending IM

See KB article Lync client on Windows XP has problems with sending IM for details.

Support for Parallels Automation for Web Presence Builder 10.4 for Windows Shared Hosting

After upgrading to POA 5.4, Web Presence Builder (both Centralized Instance and Connector) must be upgraded to 11.0. As with the earlier versions of Web Presence Builder, published sites will continue working, but the publishing of new ones will not be possible.

Cloud Infrastructure

Known issues:
  • The Cloud Infrastructure reporter does not collect information about nodes with Parallels Virtuozzo Containers 4.6 for Windows.
  • The POA Control Panel does not support the decreasing of disk space in Containers running a Windows operating system.
  • An application template can be registered on only one node in Cloud Infrastructure.
  • Once a subscription with Cloud Infrastructure resources is added to a Service Plan, none of the resources can be removed from this subscription.

Compatibility mode in Internet Explorer 9 is not supported

POA Control Panel is displayed incorrectly in Itnernet Explorer 9 if Compatibility View mode is enabled.

Solution: turn off compatibility mode in IE9.

Branding and other websites with SSL do not work on NG

Loading NG websites one may get the following errors :
  • Error 101 (net::ERR_CONNECTION_RESET): The connection was reset.
  • error:140770FC:SSL routines:SSL23_GET_SERVER_HELLO:unknown protocol

  1. On each NG Web Cluster Configuration Databases Server perform the following:
    • Edit /var/lib/pgsql/<pg version>/data/postgresql.conf
    • Add the following line to the end of the file:
      bytea_output = 'escape'
    • Restart postgres service
  2. Synchronize databases

Deployment of new pemui service on UI role (container scenario) fails on all pre-5.4.10 builds

See KB article KB115988 for details.

caea8340e2d186a540518d08602aa065 ac82ce33439a9c1feec4ff4f2f638899 5356b422f65bdad1c3e9edca5d74a1ae 2554725ed606193dd9bbce21365bed4e e12cea1d47a3125d335d68e6d4e15e07

Email subscription for changes to this article
Save as PDF